> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 视频重拍

> Re-generate video with different camera motion type.
Requires a valid videoId from a previously generated video.

## 概述

使用不同的摄像机运动类型重新生成视频。这允许您在保持相同内容的同时改变视频中的摄像机运动方式。

<Warning>
  需要来自之前生成视频的有效 `videoId`（mediaId）。
</Warning>

### 可用运动类型

| 运动类型                                                     | 描述          |
| -------------------------------------------------------- | ----------- |
| `RESHOOT_MOTION_TYPE_STATIONARY`                         | 静态摄像机       |
| `RESHOOT_MOTION_TYPE_STATIONARY_DOWN`                    | 静态摄像机，向下倾斜  |
| `RESHOOT_MOTION_TYPE_STATIONARY_UP`                      | 静态摄像机，向上倾斜  |
| `RESHOOT_MOTION_TYPE_STATIONARY_LEFT_LARGE`              | 静态摄像机，向左平移  |
| `RESHOOT_MOTION_TYPE_STATIONARY_RIGHT_LARGE`             | 静态摄像机，向右平移  |
| `RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_IN_ZOOM_OUT`       | 推进 + 拉远     |
| `RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_OUT_ZOOM_IN_LARGE` | 拉远 + 推进     |
| `RESHOOT_MOTION_TYPE_DOWN`                               | 摄像机向下移动     |
| `RESHOOT_MOTION_TYPE_UP`                                 | 摄像机向上移动     |
| `RESHOOT_MOTION_TYPE_LEFT_TO_RIGHT`                      | 摄像机从左向右移动   |
| `RESHOOT_MOTION_TYPE_RIGHT_TO_LEFT`                      | 摄像机从右向左移动   |
| `RESHOOT_MOTION_TYPE_FORWARD`                            | 摄像机向前移动     |
| `RESHOOT_MOTION_TYPE_BACKWARD`                           | 摄像机向后移动     |
| `RESHOOT_MOTION_TYPE_DOLLY_IN_ZOOM_OUT`                  | 推进 + 拉远（运动） |
| `RESHOOT_MOTION_TYPE_DOLLY_OUT_ZOOM_IN_LARGE`            | 拉远 + 推进（运动） |


## OpenAPI

````yaml POST /gemini/video/reshoot
openapi: 3.0.0
info:
  title: Google Gemini - Video, Image & SDK Compat
  description: >-
    Google Gemini services: video generation (Veo 2/3/3.1), image generation
    (Nano Banana), and Gemini Compat API for the official @google/genai SDK.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: gemini
    description: >-
      Video generation (Veo 2/3/3.1) and image generation (Nano Banana)
      endpoints
  - name: gemini-compat
    description: >-
      Gemini Compat API - drop-in replacement for Google's official
      @google/genai SDK. Supports generateContent / streamGenerateContent for
      text and image generation.
paths:
  /gemini/video/reshoot:
    post:
      tags:
        - gemini
      summary: Reshoot video with different camera motion
      description: |-
        Re-generate video with different camera motion type.
        Requires a valid videoId from a previously generated video.
      operationId: ApiPublicController_reshootVideo
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoReshootDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    VideoReshootDto:
      type: object
      properties:
        videoId:
          type: string
          description: Video ID (mediaId) from a previously generated video
          example: CAUSJD...
        motionType:
          enum:
            - RESHOOT_MOTION_TYPE_STATIONARY_DOWN
            - RESHOOT_MOTION_TYPE_STATIONARY_UP
            - RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_OUT_ZOOM_IN_LARGE
            - RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_IN_ZOOM_OUT
            - RESHOOT_MOTION_TYPE_STATIONARY_RIGHT_LARGE
            - RESHOOT_MOTION_TYPE_STATIONARY_LEFT_LARGE
            - RESHOOT_MOTION_TYPE_STATIONARY
            - RESHOOT_MOTION_TYPE_DOWN
            - RESHOOT_MOTION_TYPE_UP
            - RESHOOT_MOTION_TYPE_RIGHT_TO_LEFT
            - RESHOOT_MOTION_TYPE_LEFT_TO_RIGHT
            - RESHOOT_MOTION_TYPE_BACKWARD
            - RESHOOT_MOTION_TYPE_FORWARD
            - RESHOOT_MOTION_TYPE_DOLLY_IN_ZOOM_OUT
            - RESHOOT_MOTION_TYPE_DOLLY_OUT_ZOOM_IN_LARGE
          type: string
          description: Camera motion type for reshoot
          example: RESHOOT_MOTION_TYPE_LEFT_TO_RIGHT
      required:
        - videoId
        - motionType
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id, used to get task result later
      required:
        - taskId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````